### Constructor

# Gtk MapListModelnew

#### Declaration [src]

    GtkMapListModel*
    gtk_map_list_model_new (
      GListModel* model,
      GtkMapListModelMapFunc map_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new `GtkMapListModel` for the given arguments.

#### Parameters

`model`

  Type: `GObject`

  The model to map.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`map_func`

  Type: `GtkMapListModelMapFunc`

  Map function.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `map_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.

#### Return value

Type: `GtkMapListModel`

A new `GtkMapListModel`

The caller of the function takes ownership of the data, and is responsible for freeing it.